JInitiator 1.1.8 To Be Desupported for Apps 11i

Buried deep within the bowels of our often-inscrutable certification database is a newly-published Obsolescence notice for JInitiator 1.1.8 (Metalink Note 472154.1). 

Forms Apps architecture: Logical architecture showing desktop clients running Sun JRE or Oracle JInitiator, connecting via HTTP or HTTPS to Oracle Forms running on the Application Server tier

I know that some of you continue to run JInitiator 1.1.8 with your E-Business Suite Release 11i environments for legacy compatibility reasons.  I'm afraid that the time has come for you to retire JInitiator 1.1.8.  As of December 31, 2008, Error Correction Support for JInitiator 1.1.8 will end.  In other words, the Oracle Forms group will no longer issue bug fixes via new versions of JInitiator 1.1.8.x as of December 31, 2008.

What Do You Do Now?

There are two options.  Option 1 is strongly recommended over Option 2.

Option 1.  Upgrade to the native Sun Java plug-in

The E-Business Suite Release 11i is now certified with the native Sun Java (JRE) plug-in.  See this article for details about the latest certified JRE version. This is the preferred upgrade path for existing JInitiator 1.1.8 users.

Option 2.  Upgrade to JInitiator 1.3

You can choose to upgrade your end-users to the latest certified version of JInitiator 1.3.x.  See this article for details about the latest certified JInitiator version.  This is not the recommended option, though.

Why Choose the native Sun JRE over JInitiator?

Oracle JInitiator was originally released as a licenced version of Sun's Java client back when specific features were required to support Oracle Forms.  This was particularly necessary for E-Business Suite Forms-based functionality, since the E-Business Suite pushed the envelope of what Forms and Java could do collectively from a user interface perspective.

Sun has since incorporated all of the enhancements needed to support Oracle Forms into their native Sun Java plug-in.  As a result, the Oracle JInitiator team is pleased that they can get out of the business of maintaining and repackaging Sun's Java client code. 

Oracle's emphasis from this point forward will be to certify future versions of the Sun Java client with the E-Business Suite.  You will see a similar desupport notice for JInitiator 1.3 coming soon; watch this space for updates on that front.

Therefore, upgrading your end-users to the native Sun JRE directly will be less time-consuming and disruptive than upgrading them first from JInitiator 1.1.8 to 1.3, and then upgrading them later to the native Sun Java client. 

Related

Comments:

Steven,

Finally. This one was long overdue.

Happy holidays.

thx,
John

Posted by John Stouffer on December 22, 2007 at 06:28 AM PST #

Post a Comment:
  • HTML Syntax: NOT allowed
About

Search

Categories
Archives
« April 2014
SunMonTueWedThuFriSat
  
1
4
5
6
7
8
9
10
11
12
13
14
19
20
21
24
25
26
27
28
29
30
   
       
Today